Retrieve a customer
Get a customer with their payment count and totals.
Returns the customer with their totals. List their payments with GET /payments?customer_id=….
Path
idstring RequiredThe customer's ID, such ascst_gWFWcc7Ga0Pv7LSC.
Errors
- 404
not_foundNo customer with that ID belongs to your business.
Any request can also fail on its key or its body. See errors.
Request
curl "https://api.402pay.co/api/v1/customers/cst_gWFWcc7Ga0Pv7LSC" \
-H "Authorization: Bearer $PAY402_SECRET_KEY"const response = await fetch("https://api.402pay.co/api/v1/customers/cst_gWFWcc7Ga0Pv7LSC", {
headers: {
Authorization: `Bearer ${process.env.PAY402_SECRET_KEY}`,
},
});
const { data } = await response.json();import os
import requests
response = requests.get(
"https://api.402pay.co/api/v1/customers/cst_gWFWcc7Ga0Pv7LSC",
headers={
"Authorization": f"Bearer {os.environ['PAY402_SECRET_KEY']}",
},
)
data = response.json()["data"]Response200 OK
{
"data": {
"id": "cst_gWFWcc7Ga0Pv7LSC",
"kind": "customer",
"name": "Harper Wilson",
"email": "[email protected]",
"blocked": false,
"note": "",
"stats": {
"payments_count": 2,
"incomplete_count": 2,
"volume": {
"amount": "228.10",
"currency": "USD"
},
"average": {
"amount": "114.05",
"currency": "USD"
},
"last_payment_at": "2026-09-26T21:22:47.082Z",
"preferred_rail": "crypto"
},
"created_at": "2026-09-26T21:01:16.809Z",
"updated_at": "2026-09-26T21:01:16.809Z"
}
}